import { Component, inject } from '@angular/core';
import { DatePipe } from '@angular/common';
import { MatButtonModule } from '@angular/material/button';
import { MatDialogRef, MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';
import { MatIconModule } from '@angular/material/icon';

import { Jump } from '@models';

@Component({
    selector: 'app-jump-delete-dialog',
    templateUrl: 'jump-delete.dialog.html',
    imports: [DatePipe, MatDialogModule, MatButtonModule, MatIconModule],
})
export class JumpDeleteDialogComponent {
    dialogRef = inject<MatDialogRef<JumpDeleteDialogComponent>>(MatDialogRef);
    jump = inject<Jump>(MAT_DIALOG_DATA);

    closeDialog(): void {
        this.dialogRef.close();
    }
}
